## org.apache.ivy.util.url
Class URLHandler.URLInfo

    java.lang.Object
      org.apache.ivy.util.url.URLHandler.URLInfo

Enclosing interface:
  URLHandler

    public static class URLHandler.URLInfo

extends java.lang.Object

Constructor Summary
`protected` `URLHandler.URLInfo(boolean available, long contentLength, long lastModified)`
`protected` `URLHandler.URLInfo(boolean available, long contentLength, long lastModified, java.lang.String bodyCharset)`

Method Summary
`java.lang.String` `getBodyCharset()`
`long` `getContentLength()`
`long` `getLastModified()`
`boolean` `isReachable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLHandler.URLInfo

    protected URLHandler.URLInfo(boolean available,
                                 long contentLength,
                                 long lastModified)

### URLHandler.URLInfo

    protected URLHandler.URLInfo(boolean available,
                                 long contentLength,
                                 long lastModified,
                                 java.lang.String bodyCharset)

Method Detail

### isReachable

    public boolean isReachable()

### getContentLength

    public long getContentLength()

### getLastModified

    public long getLastModified()

### getBodyCharset

    public java.lang.String getBodyCharset()